| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::IOJobsManager Class Reference
Inheritance diagram for Digikam::IOJobsManager:

## Public Member Functions
IOJobsThread * | buildCollectionTrashCounters ()
| Starts a thread for count trash items for all collections.
IOJobsThread * | startDTrashItemsListingForCollection (const QString &collectionPath)
| Starts a thread for listing items inside trash for specific collection.
IOJobsThread * | startIOJobs (IOJobData *const data)
| startIOJobs: Starts a thread to copy, move, delete or rename items

## Static Public Member Functions
static IOJobsManager * | instance ()
| instance: returns the singleton of IO Jobs Manager

## Member Function Documentation

## ◆ buildCollectionTrashCounters()

IOJobsThread * Digikam::IOJobsManager::buildCollectionTrashCounters | ( |  | ) |

Returns
  IOJobsThread pointer for signal/slot connection

## ◆ instance()

IOJobsManager * Digikam::IOJobsManager::instance | ( |  | ) |
| static

Returns
  IOJobsManager global instance

## ◆ startDTrashItemsListingForCollection()

IOJobsThread * Digikam::IOJobsManager::startDTrashItemsListingForCollection | ( | const QString & | collectionPath | ) |

Parameters

  collectionPath | the path for collection to list items for it's trash

Returns
  IOJobsThread pointer for signal/slot connection

## ◆ startIOJobs()

IOJobsThread * Digikam::IOJobsManager::startIOJobs | ( | IOJobData *const | data | ) |

Parameters

  data | IOJobData container with source and destination url

Returns
  IOJobsThread pointer for signal/slot connection